SELECT i.PUID          AS ItemPuid,
  i.PITEM_ID           AS ItemName,
  ir.PUID              AS IrPuid,
  ir.PITEM_REVISION_ID AS IrRev,
  paoIr.PLAST_MOD_DATE AS IrLastModDate
FROM infodba.PITEM i,
  infodba.PITEMREVISION ir,
  infodba.PPOM_APPLICATION_OBJECT paoIr
WHERE i.PUID      = ir.RITEMS_TAGU
AND paoIr.PUID(+) = ir.PUID
ORDER BY paoIr.PLAST_MOD_DATE